gnutls_pubkey_import_dsa_raw(3)

NAME
gnutls_pubkey_import_dsa_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_dsa_raw(gnutls_pubkey_t key, const gnutls_datum_t * p, const gnutls_datum_t * q, const gnutls_datum_t * g, const gnutls_datum_t * y);

ARGUMENTS

gnutls_pubkey_t key
    The structure to store the parsed key

const gnutls_datum_t * p
    holds the p

const gnutls_datum_t * q
    holds the q

const gnutls_datum_t * g
    holds the g

const gnutls_datum_t * y
    holds the y

DESCRIPTION
This function will convert the given DSA raw parameters to the native gnutls_pubkey_t format. The output will be stored in key .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/